settings_tests.c File Reference
`#include "settings.c"`
`#include <cgreen/cgreen.h>`
`#include <cgreen/mocks.h>`
`#include <glib.h>`
`#include <glib/gstdio.h>`
`#include <stdio.h>`
`#include <unistd.h>`

## Functions

| Describe (settings)
| BeforeEach (settings)
| AfterEach (settings)
| Ensure (settings, init_settings_iterator_from_file_with_null_params)
| Ensure (settings, init_settings_iterator_from_nonexistent_file)
| Ensure (settings, init_settings_iterator_from_valid_file)
| Ensure (settings, settings_iterator_operations)
| Ensure (settings, settings_group_handling)
| Ensure (settings, settings_cleanup_function)
int | main (int argc, char **argv)

## Function Documentation

## AfterEach()

AfterEach | ( | settings |  | ) |

## BeforeEach()

BeforeEach | ( | settings |  | ) |

## Describe()

Describe | ( | settings |  | ) |

## Ensure() [1/6]

Ensure | ( | settings | ,
|  | init_settings_iterator_from_file_with_null_params | )

## Ensure() [2/6]

Ensure | ( | settings | ,
|  | init_settings_iterator_from_nonexistent_file | )

## Ensure() [3/6]

Ensure | ( | settings | ,
|  | init_settings_iterator_from_valid_file | )

## Ensure() [4/6]

Ensure | ( | settings | ,
|  | settings_cleanup_function | )

## Ensure() [5/6]

Ensure | ( | settings | ,
|  | settings_group_handling | )

## Ensure() [6/6]

Ensure | ( | settings | ,
|  | settings_iterator_operations | )

## main()

int main | ( | int | argc,
|  | char ** | argv )